Package org.eclipse.cdt.core.parser

# Enum Class ParserLanguage

java.lang.Object
java.lang.Enum<ParserLanguage>
org.eclipse.cdt.core.parser.ParserLanguage

All Implemented Interfaces:
  `Serializable`, `Comparable<ParserLanguage>`, `java.lang.constant.Constable`

public enum ParserLanguage extends Enum<ParserLanguage>
Enumeration of base languages supported by CDT.

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`C`
`CPP`

## Method Summary

Modifier and Type
Method
Description
`abstract boolean`
`isCPP()`
`static ParserLanguage`
`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static ParserLanguage[]`
`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### C

public static final ParserLanguage C

### CPP

public static final ParserLanguage CPP

## Method Details

### values

public static ParserLanguage[] values()
Returns an array containing the constants of this enum class, in the order they are declared.

Returns:
  an array containing the constants of this enum class, in the order they are declared

### valueOf

public static ParserLanguage valueOf(String name)
Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum class has no constant with the specified name
  `NullPointerException` - if the argument is null

### isCPP

public abstract boolean isCPP()